You are not logged in.

#1 2021-01-21 14:02:30

shoelesshunter
Member
Registered: 2014-05-18
Posts: 116

rednotebook python 3.9 not supported

I am trying to us the app rednotebook. When launched from the terminal, I get this error:


Adding /usr/lib/python3.9/site-packages to sys.path
2021-01-20 08:02:25,789 INFO     Writing log to file "/home/jmgant/.rednotebook/rednotebook.log"
2021-01-20 08:02:25,789 INFO     System encoding: utf-8
2021-01-20 08:02:25,789 INFO     Language code: en_US
Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 6, in <module>
    import journal
ModuleNotFoundError: No module named 'journal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 12, in <module>
    import rednotebook.journal
  File "/usr/lib/python3.9/site-packages/rednotebook/journal.py", line 169, in <module>
    from rednotebook.gui.main_window import MainWindow
  File "/usr/lib/python3.9/site-packages/rednotebook/gui/main_window.py", line 29, in <module>
    from rednotebook.gui import (
  File "/usr/lib/python3.9/site-packages/rednotebook/gui/browser_cef.py", line 30, in <module>
    from cefpython3 import cefpython as cef
  File "/home/jmgant/.local/lib/python3.9/site-packages/cefpython3/__init__.py", line 64, in <module>
    raise Exception("Python version not supported: " + sys.version)
Exception: Python version not supported: 3.9.1 (default, Dec 13 2020, 11:55:53) 
[GCC 10.2.0]

Last edited by shoelesshunter (2021-01-21 14:04:07)

Offline

#2 2021-01-21 15:02:47

progandy
Member
Registered: 2012-05-17
Posts: 4,122

Re: rednotebook python 3.9 not supported

I don't know about the first error, but the second is caused by your user installation trying to use cefpython3 (chromium based), which does not allow any python newer than 3.7.

Just use rednotebook from community repository. That should work, since It uses webkit2gtk.

Last edited by progandy (2021-01-21 15:05:30)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#3 2021-01-22 08:40:38

shoelesshunter
Member
Registered: 2014-05-18
Posts: 116

Re: rednotebook python 3.9 not supported

I am using the one from community. but now I get this error:

Starting RedNotebook from the source directory
Traceback (most recent call last):
  File "/usr/bin/rednotebook", line 9, in <module>
    journal.main()
AttributeError: module 'journal' has no attribute 'main'

Offline

Board footer

Powered by FluxBB